
Installer - Bug #30349

An empty /var/opt/rh/rh-postgresql12/lib/pgsql/data breaks upgrades

07/08/2020 03:57 PM - Ewoud Kohl van Wijngaarden

Status: Rejected   

Priority: Normal   

Assignee: Ewoud Kohl van Wijngaarden   

Category: foreman-installer script   

Target version:    

Difficulty:  Fixed in Releases:  

Triaged: No Found in Releases: 2.0.1

Bugzilla link:  Red Hat JIRA:  

Pull request: https://github.com/theforeman/foreman-i

nstaller/pull/539

  

Description

Installing rh-postgresql12-postgresql-server creates /var/opt/rh/rh-postgresql12/lib/pgsql/data but leaves it empty. If the user installed

this prior to running the installer, it doesn't detect the upgrade.

History

#1 - 07/09/2020 09:27 AM - The Foreman Bot

- Status changed from New to Ready For Testing

- Assignee set to Ewoud Kohl van Wijngaarden

- Pull request https://github.com/theforeman/foreman-installer/pull/539 added

#2 - 08/29/2022 10:31 AM - Ewoud Kohl van Wijngaarden

- Status changed from Ready For Testing to Rejected

This was rather uncommon and we've now dropped EL7 (and thus SCLs) in 3.4.
